//＝＝＝＝＝＝＝＝＝＝＝＝按钮有效性＝＝＝＝＝＝＝＝＝＝＝＝＝＝
		var flag=[0,0,0,0,0,0];//这里设置按钮要判断的个数
		var $=function(tagName){
			return document.getElementsByTagName(tagName);
		}
//－－－－－－－－－检查数据,使提交按钮是否生效－－－－－－－－－－－－－
			function check_data(){
				if(flag[0]==1 && flag[2]==1 && flag[3]==1 && flag[4]==1 && flag[5]==1 && flag[6]==1 && flag[8]==1){
					$("input")[id="input"].disabled=false;
				}
				else{
					$("input")[id="input"].disabled=true;
				}
			}

//＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝重置按钮＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
		function reset_info(){
//－－－－－－－说明提示 span用序号方式开始－－－－－－－－－
			//var info=["支持大小写字母、数字和下划线字符3-16个","密码在6-16位之间,敏感字符屏蔽","","输入11位规范的手机号码","邮箱是联系重要手段，请正确填写","","必须接受协议才能注册","看不清楚?请点击验证码刷新","显示高级设置选项","","",""]
			//for(var i=0;i<$("span").length;i++){
			//	$("span")[id="span"+i].innerHTML=info[i];
			//}
//－－－－－－说明提示 span用序号方式结束－－－－－－－－－
//－－－－－－说明提示 span用命名方式开始－－－－－－－－－
$("span")[id="MemName"].innerHTML="支持大小写字母、数字和下划线字符3-16个";
$("span")[id="Password"].innerHTML="密码在6-16位之间,敏感字符屏蔽";
$("span")[id="vPassword"].innerHTML="";
$("span")[id="Paypassword"].innerHTML="密码在6-16位之间,敏感字符屏蔽";
$("span")[id="vPaypassword"].innerHTML="";
$("span")[id="Mobile"].innerHTML="输入11位规范的手机号码";
$("span")[id="email"].innerHTML="邮箱是联系重要手段，请正确填写";
$("span")[id="info"].innerHTML="必须接受协议才能注册";
$("span")[id="GetCode"].innerHTML="看不清楚?请点击验证码刷新";
$("span")[id="advance"].innerHTML="显示高级设置选项";
$("span")[id="Answer"].innerHTML="";
$("span")[id="Answer2"].innerHTML="";
$("span")[id="reset"].innerHTML="";
//－－－－－说明提示 span用命名方式结束－－－－－－－－	
//－－－－－清空表单－－－－－－－－
			for(var i=0;i<$("input").length-3;i++){
				$("input")[i].value="";
            flag[i]=0;
			}
			check_data();
		}


//＝＝＝＝＝＝＝＝＝＝＝全部检测通过提交注册录入＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
function sendinfo(MemName,pwd,mobile,email,Sex,GetCode,RealName,Question,Answer,Answer2,Paypassword,vPaypassword,Company,Address,ZipCode,Telephone,Fax,userqq,maillist,HomePage){
//------------单选型字段处理开始--------------
var sex=document.getElementsByName("Sex");//读取性别单选项radio的值，不能getElementById，ById又只会读数组第一个值
var sexid;
 for(var i = 0; i < sex.length; i++)
{
     if(sex[i].checked)
     sexid=i;
 }
Sex=sexid
		if (Sex==0){
			Sex="先生";			
			}
		else{
			Sex="女士";	
			}

var maillist=document.getElementsByName("maillist");//读取订阅单选项radio的值，不能getElementById，maillist又只会读数组第一个值
var mailid;
 for(var i = 0; i < maillist.length; i++)
{
     if(maillist[i].checked)
     mailid=i;
 }
maillist=mailid
		if (maillist==0){
			maillist=1;			
			}
		else{
			maillist=0;	
			}
//----------------单选型字段处理结束--------------------

	var xmlhttp;
	try{
		xmlhttp=new XMLHttpRequest();
		}
	catch(e){
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
	xmlhttp.onreadystatechange=function(){
	if (xmlhttp.readyState==4){
		if (xmlhttp.status==200){
			var data=xmlhttp.responseText;
			reg_result(data);
			}
		else{
			$("span")[id="reset"].innerHTML="注册失败,请联系管理员";
			}
		}
	else{
		$("span")[id="reset"].innerHTML="正在进行用户名注册...";
		}
	}
	xmlhttp.open("post", "MemberSaveReg.asp", true);
	xmlhttp.setRequestHeader('Content-type','application/x-www-form-urlencoded');
	xmlhttp.send("MemName="+escape(MemName)+"&Password="+escape(pwd)+"&mobile="+escape(mobile)+"&email="+escape(email)+"&Sex="+escape(Sex)+"&GetCode="+escape(GetCode)+"&RealName="+escape(RealName)+"&Question="+escape(Question)+"&Answer="+escape(Answer)+"&Answer2="+escape(Answer2)+"&Paypassword="+escape(Paypassword)+"&vPaypassword="+escape(vPaypassword)+"&Company="+escape(Company)+"&Address="+escape(Address)+"&ZipCode="+escape(ZipCode)+"&Telephone="+escape(Telephone)+"&Fax="+escape(Fax)+"&userqq="+escape(userqq)+"&maillist="+escape(maillist)+"&HomePage="+escape(HomePage));
}
function reg_result(data){
if(data==1){
//$("span")[id="reset"].innerHTML='<a href="/" target="_blank">'+$("input")[id="MemName"].value+",注册成功。请点击这里登陆</a>";//传递注册成功给注册表单，但注册表单无法防止重复注册
window.location.href="regok.asp";//你可以更换里面的网址或页面，以便成功后跳转页面
}

	else{
		$("span")[id="reset"].innerHTML="注册失败,请联系管理员";
	}
	}


//＝＝＝＝＝＝＝＝＝＝＝＝＝接受或拒绝协议＝＝＝＝＝＝＝＝＝＝＝＝＝＝
		function accept_info(){
            $("span")[id="info"].innerHTML="<img src='../images/yesok.gif'/> 您已接受协议";
			flag[5]=1;                   
			flag[8]=1;//因密码问答不是必答，判断问题是否为空再决定按钮是否可用                   
			check_data();
		}
		function refuse_info(){
            $("span")[id="info"].innerHTML="<img src='../images/yesno.gif'/>拒绝协议不能注册";
			flag[5]=0;
			check_data();
		}


//＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝会员名检测＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
//----------------------------会员名合法性检测-----------------------------
			function check_id(id_name){//只能字母和数字,是否相同用AJAX判断
				//var reId=/^[\w\u0391-\uFFE5]{3,16}$/;//包含大小写字母、数字、下划线和汉字，限3－16个字符
                var reId=/^[\w]{3,16}$/;//包含大小写字母、数字和下划线，限3－16个字符
				var b_id=reId.test(id_name);
				if(!b_id){
					$("span")[id="MemName"].innerHTML="<img src='../images/yesno.gif'/> ID命名非法，支持大小写字母、数字和下划线3－16个字符";
					flag[0]=0;
					check_data();
				}
				else{//合法用户名用ajax的checkid()检测是否被注册过
					checkid(id_name);
				}
			}
//--------------------------会员名唯一性检测------------------------------------------
function checkid(regid){	
	var xmlhttp;
	try{
		xmlhttp=new XMLHttpRequest();
		}
	catch(e){
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
	xmlhttp.onreadystatechange=function(){
	if (xmlhttp.readyState==4){//这个指的是xmlhttp的交互状态.为4就是交互完成
		if (xmlhttp.status==200){//xmlhttp与后台交互时返回的一个状态码.200指的是正常交互完成
			var data=xmlhttp.responseText;
			id_result(data);
			}
		else{
			$("span")[id="MemName"].innerHTML="用户名检测失败,请联系管理员";
			}
		}
	else{
		$("span")[id="MemName"].innerHTML="正在进行用户名校验...";
		}
	}
	xmlhttp.open("post", "../Include/check_id.asp", true);
	xmlhttp.setRequestHeader('Content-type','application/x-www-form-urlencoded');
	xmlhttp.send("regid="+escape(regid));
}
function id_result(data){
	var resultbox=$("span" )[id="MemName"];
	if(data==1){
		resultbox.innerHTML='<img src="../images/yesok.gif"/> 用户名可用';
		flag[0]=1;
		check_data();
		}
	else{
		resultbox.innerHTML='<img src="../images/yesno.gif"/> 该用户名已经被注册';
		flag[0]=0;
		check_data();
	}
}


//＝＝＝＝＝＝＝＝＝＝＝＝＝登录密码检测＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
        
		function check_password(obj){
			var pwd=$("input")[id="Password"].value;
			var reChinese=/[\u0391-\uFFE5]+/;//密码字符中文
			var b_chinese=reChinese.test(pwd);
			var reSpace=/\s+/;//密码字符空格
			var b_space=reSpace.test(pwd);
			//-------长度测试
			if(pwd.length<6){
				$("span")[id="Password"].innerHTML="<img src='../images/yesno.gif'/> 密码长度不能小于6";
				flag[1]=0;
				check_data();
			}
			//-------合法性检测:不能包含汉字
			else if(b_chinese){
				$("span")[id="Password"].innerHTML="<img src='../images/yesno.gif'/> 密码不能包含中文";
				flag[1]=0;
				check_data();
			}
			//-------合法性检测:不能包含空格
			else if(b_space){
				$("span")[id="Password"].innerHTML="<img src='../images/yesno.gif'/> 密码不能包含空格";
				flag[1]=0;
				check_data();
			}
			
			else{//-------合法时显示密码强度
				//定义对应的消息提示
				var num=getResult(pwd);
				var msg=new Array("<img src='../images/bad.gif'/> 密码强度差","<img src='../images/comm.gif'/> 密码强度一般","<img src='../images/good.gif'/> 密码强度强壮");
				$("span")[id="Password"].innerHTML=msg[num];				
				$("span")[id="vPassword"].innerHTML="<img src='../images/yesno.gif'/>确认密码未输入";				
				if($("input")[id="vPassword"].value!=""){
					check_pw();//提交密码一致性检测
					}
				return flag[1]=1;
				check_data();
				}
			}
			//定义检测函数,返回0/1/2分别代表差/一般/强
			function getResult(s){
				var ls =-1;
				if (s.match(/[a-z]/ig)){
					ls++;
				}
				if (s.match(/[0-9]/ig)){
					ls++;
				}
	 			if (s.match(/(.[^a-z0-9])/ig)){
					ls++;
				}
				return ls;
			}
		//---------密码一致性检测	
			function check_pw(){
				var pwd=$("input")[id="Password"].value.toString();
				var check_pwd=$("input")[id="vPassword"].value.toString();
				if(flag[1]==1){
					if(pwd==check_pwd){
						$("span")[id="vPassword"].innerHTML="<img src='../images/yesok.gif'/> 密码可以使用";
						flag[2]=1;
						check_data();
					}
					else{
						$("span")[id="vPassword"].innerHTML="<img src='../images/yesno.gif'/> 两次密码不相同";
						flag[2]=0;
						check_data();
					}
				}
			}


//＝＝＝＝＝＝＝＝＝＝＝＝＝支付密码检测＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
        
		function check_Paypassword(obj){
			var pwd=$("input")[id="Paypassword"].value;
			var reChinese=/[\u0391-\uFFE5]+/;//密码字符中文
			var b_chinese=reChinese.test(pwd);
			var reSpace=/\s+/;//密码字符空格
			var b_space=reSpace.test(pwd);
			//-------长度测试
			if(pwd.length<6){
				$("span")[id="Paypassword"].innerHTML="<img src='../images/yesno.gif'/> 密码长度不能小于6";
				flag[1]=0;
				check_data();
			}
			//-------合法性检测:不能包含汉字
			else if(b_chinese){
				$("span")[id="Paypassword"].innerHTML="<img src='../images/yesno.gif'/> 密码不能包含中文";
				flag[1]=0;
				check_data();
			}
			//-------合法性检测:不能包含空格
			else if(b_space){
				$("span")[id="Paypassword"].innerHTML="<img src='../images/yesno.gif'/> 密码不能包含空格";
				flag[1]=0;
				check_data();
			}
			
			else{//-------合法时显示密码强度
				//定义对应的消息提示
				var num=getResult(pwd);
				var msg=new Array("<img src='../images/bad.gif'/> 密码强度差","<img src='../images/comm.gif'/> 密码强度一般","<img src='../images/good.gif'/> 密码强度强壮");
				$("span")[id="Paypassword"].innerHTML=msg[num];				
				$("span")[id="vPaypassword"].innerHTML="<img src='../images/yesno.gif'/>确认密码未输入";				
				if($("input")[id="vPaypassword"].value!=""){
					check_pw();//提交密码一致性检测
					}
				return flag[1]=1;
				check_data();
				}
			}
			//定义检测函数,返回0/1/2分别代表差/一般/强
			function getResult(s){
				var ls =-1;
				if (s.match(/[a-z]/ig)){
					ls++;
				}
				if (s.match(/[0-9]/ig)){
					ls++;
				}
	 			if (s.match(/(.[^a-z0-9])/ig)){
					ls++;
				}
				return ls;
			}
		//---------密码一致性检测	
			function check_paypw(){
				var pwd=$("input")[id="Paypassword"].value.toString();
				var check_pwd=$("input")[id="vPaypassword"].value.toString();
				if(flag[1]==1){
					if(pwd==check_pwd){
						$("span")[id="vPaypassword"].innerHTML="<img src='../images/yesok.gif'/> 密码可以使用";
						flag[2]=1;
						check_data();
					}
					else{
						$("span")[id="vPaypassword"].innerHTML="<img src='../images/yesno.gif'/> 两次密码不相同";
						flag[2]=0;
						check_data();
					}
				}
			}

//＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝找回密码问答检测＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
        function check_Question(Question){
        if($("input")[id="Question"].value!=""){        
        $("span")[id="Answer"].innerHTML="<img src='../images/yesno.gif'/>请输入密码答案"; 
        check_data();
        }
   }
		function check_Answer(Answer){			
            var reAnswer=/^[\w\u0391-\uFFE5]{2,16}$/;//包含大小写字母、数字、下划线和汉字，限2－16个字符			
			var b_Answer=reAnswer.test(Answer);
				if(!b_Answer){
					$("span")[id="Answer"].innerHTML="<img src='../images/yesno.gif'/> 答案非法，仅支持大小写字母、数字、汉字和下划线2－16个字符";
					flag[7]=0;
					check_data();
				}
				else{//非法性检查通过后交一致性检查
                if($("input")[id="Answer"].value!=""){
              $("span")[id="Answer2"].innerHTML="<img src='../images/yesno.gif'/>输入确认密码答案"; 
              $("span")[id="Answer"].innerHTML="";                
					check_yz();
                }
				return flag[7]=1;
				check_data();
				}		

       }
//---------找回密码答案一致性检测	
			function check_yz(){
				var Answer=$("input")[id="Answer"].value.toString();
				var check_Answer=$("input")[id="Answer2"].value.toString();
				if(flag[7]==1){
					if(Answer==check_Answer){
					$("span")[id="Answer2"].innerHTML="<img src='../images/yesok.gif'/> 密码答案可以使用";
                    $("span")[id="Answer"].innerHTML="";//合法时清空非法提示
						flag[8]=1;
						check_data();
					}
					else{
						$("span")[id="Answer2"].innerHTML="<img src='../images/yesno.gif'/> 两次密码答案不相同";
						flag[8]=0;
						check_data();
					}
				}
			}



//＝＝＝＝＝＝＝＝＝＝＝＝手机号码合法性检测＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
			function check_mobile(mobile){//数字11位手机号
            var re_mobile=/^1[3|4|5|7|8][0-9]\d{8}$/;//手机号段
/**
* 手机号码
* 移动：134[0-8],135,136,137,138,139,150,151,157,158,159,182,187,188
* 联通：130,131,132,152,155,156,185,186
* 电信：133,134,153,180,189
*170为虚拟运营商的专属号段
*/
				var b_mobile=re_mobile.test(mobile);
				if(!b_mobile){
					$("span")[id="Mobile"].innerHTML="<img src='../images/yesno.gif'/>手机号码不规范";
					flag[3]=0;
					check_data();
				}
				else{
					$("span")[id="Mobile"].innerHTML="<img src='../images/yesok.gif'/>手机号码可用";
					flag[3]=1;
					check_data();
				}
			}


//＝＝＝＝＝＝＝＝＝＝＝＝＝＝邮箱检测＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
		function check_email(email){
			var reEmail=/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
			var b_email=reEmail.test(email);
			if(b_email){
				//合法邮箱名用ajax的checkemail()检测邮箱是否被注册过
				checkemail(email);
				//$("span")[id="email"].innerHTML="<img src='../images/yesok.gif'/> 邮箱可用";//以下三行为不检测邮箱唯一性直接通过
				//flag[4]=1;
				//check_data();				
			}
			else{
				$("span")[id="email"].innerHTML="<img src='../images/yesno.gif'/> 邮箱错误";
				flag[4]=0;
				check_data();
			}
		}
//---------------------邮箱注册唯一性检测---------------
function checkemail(email){	
	var xmlhttp;
	try{
		xmlhttp=new XMLHttpRequest();
		}
	catch(e){
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
	xmlhttp.onreadystatechange=function(){
	if (xmlhttp.readyState==4){
		if (xmlhttp.status==200){
			var data=xmlhttp.responseText;
			email_result(data);
			}
		else{
			$("span")[id="email"].innerHTML="邮箱检测失败,请联系管理员";
			}
		}
	else{
		$("span")[id="email"].innerHTML="正在进行邮箱校验...";
		}
	}
	xmlhttp.open("post", "../Include/check_email.asp", true);
	xmlhttp.setRequestHeader('Content-type','application/x-www-form-urlencoded');
	xmlhttp.send("email="+escape(email));
}
function email_result(data){
	var resultbox=$("span")[id="email"];
	if(data==1){
		resultbox.innerHTML='<img src="../images/yesok.gif"/> 邮箱名可用';
		flag[4]=1;
		check_data();
		}
	else{
		resultbox.innerHTML='<img src="../images/yesno.gif"/> 该邮箱名已经被注册';
		flag[4]=0;
		check_data();
	}
}


//＝＝＝＝＝＝＝＝＝＝＝＝＝验证码正确性检测＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
function checkcode(regcode){	
	var xmlhttp;
	try{
		xmlhttp=new XMLHttpRequest();
		}
	catch(e){
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
	xmlhttp.onreadystatechange=function(){
	if (xmlhttp.readyState==4){
		if (xmlhttp.status==200){
			var data=xmlhttp.responseText;
			code_result(data);
			}
		else{
			$("span")[id="GetCode"].innerHTML="验证码校验失败,请联系管理员";
			}
		}
	else{
		$("span")[id="GetCode"].innerHTML="正在进行验证码校验...";
		}
	}
	xmlhttp.open("post", "../Include/check_code.asp", true);
	xmlhttp.setRequestHeader('Content-type','application/x-www-form-urlencoded');
	xmlhttp.send("regcode="+escape(regcode));
}
function code_result(data){
	var resultbox=$("span")[id="GetCode"];
	if(data==1){
		resultbox.innerHTML='<img src="../images/yesok.gif"/> 验证码正确';
		flag[6]=1;
		check_data();
		}
	else{
		resultbox.innerHTML='<img src="../images/yesno.gif"/> 验证码错误';
		flag[6]=0;
		check_data();
		}
}
	
			
	//--------------------------------------------------------------------